summaryrefslogtreecommitdiffstats
path: root/libraries/libsmbios/libsmbios.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libsmbios/libsmbios.SlackBuild')
-rw-r--r--libraries/libsmbios/libsmbios.SlackBuild47
1 files changed, 30 insertions, 17 deletions
diff --git a/libraries/libsmbios/libsmbios.SlackBuild b/libraries/libsmbios/libsmbios.SlackBuild
index 05336e0288..aa65c3f1ac 100644
--- a/libraries/libsmbios/libsmbios.SlackBuild
+++ b/libraries/libsmbios/libsmbios.SlackBuild
@@ -1,13 +1,11 @@
#!/bin/sh
-# Exit on most errors
-#set -e
-
PRGNAM=libsmbios
-VERSION=0.13.10
+VERSION=2.2.19
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -15,15 +13,22 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -32,31 +37,39 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --bindir=/usr/sbin \
- --includedir=/usr/include \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-# These don't get included, but probably should
-cp -a include $PKG/usr
-chown -R root:root $PKG/usr/include
-find $PKG/usr/include -type f -exec chmod 0644 {} \;
+# Don't clobber the config file
+mv $PKG/etc/libsmbios/logging.conf $PKG/etc/libsmbios/logging.conf.new
+
+# Remove the ick, er, yum stuff
+rm -rf $PKG/etc/yum
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING COPYING-GPL COPYING-OSL ChangeLog INSTALL NEWS \
- README TODO doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}